<template>
  <div class="container mt-3">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="/home">MAPALA WMDK</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    </nav>
    <div class="card mt-2">
      <div class="card-header">
        <span class="my-auto">Peminjaman Alat</span>
      </div>
      <div class="card-body">
        <form action method="post" v-on:submit.prevent="onSubmit">
          <div class="row">
            <div class="col-md-6">
              <label for="nama_peminjam">Nama Peminjam</label>
              <input type="text" v-model="form.nama_peminjam" class="form-control" name="nama_peminjam" id="nama_peminjam" />
            </div>
            <div class="col-md-6">
              <label for="nama_divisi">Nama Divisi</label>
              <select name="nama_divisi" id="nama_divisi" v-model="form.nama_divisi" class="form-control">
                <option value="gunung">Gunung</option>
                <option value="panjat tebing">Panjat Tebing</option>
                <option value="susur goa">Susur Goa</option>
                <option value="arung jeram">Arung Jeram</option>
                <option value="gunung hutan">Gunung Hutan</option>
              </select>
            </div>
          </div>
          <div class="row mt-2">
            <div class="col-md-6">
              <label for="peminjaman">Peminjaman</label>
              <textarea name="peminjaman" id="peminjaman" v-model="form.peminjaman" cols="15" rows="3"></textarea>
            </div>
            <div class="col-md-6">
              <label for="tanggal_pinjam">Tanggal Peminjaman</label>
              <input type="date" name="tanggal_pinjam" id="tanggal_pinjam" v-model="form.tanggal_pinjam" class="form-control">
            </div>
          </div>
          <div class="row mt-2">
            <div class="col-md-6">
              <input type="submit" class="btn btn-primary" name value="Pinjam"/>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      form: {
        nama_peminjam: "",
        nama_divisi: "",
        peminjaman: "",
        tanggal_pinjam: ""
      }
    };
  },
  methods: {
    onSubmit() {
      let data = JSON.stringify({
        nama_peminjam: this.form.nama_peminjam,
        nama_divisi: this.form.nama_divisi,
        peminjaman: this.form.peminjaman,
        tanggal_pinjam: this.form.tanggal_pinjam
      });
      axios
        .post("https://management.masuk.id/mapalabe/ApiPeminjaman/create.php", data)
        .then(async res => {
          const data = await res;
          if (data.status == 200) {
            alert("Berhasil Meminjam Alat");
            this.$router.push("read");
          }
        })
        .catch(err => {
          alert("Gagal Meminjam Alat");
          console.log(err);
        });
    }
  }
};
</script>

<style lang="stylus" scoped></style>